#include "ofApp.h"
//--------------------------------------------------------------
void ofApp::setup(){	
    foursq[0].load("foursquare1.PNG");
    foursq[1].load("foursquare2.PNG");
    foursq[2].load("foursquare3.PNG");
    ofVec2f screen(ofGetWidth()/foursq[0].getWidth(),
                   ofGetHeight()/foursq[0].getHeight());
    //btn1
    ofPoint btn1Start(0,38);
    ofPoint btn1End(93,124);
    btn1.set(btn1Start*screen,btn1End*screen);
    //btn2
    ofPoint btn2Start(0,666);
    ofPoint btn2End(250,950);
    btn2.set(btn2Start*screen,btn2End*screen);
    //btn3
    ofPoint btn3Start(250,666);
    ofPoint btn3End(500,950);
    btn3.set(btn3Start*screen,btn3End*screen);
    appSection=0;
}
//--------------------------------------------------------------
void ofApp::update(){}
//--------------------------------------------------------------
void ofApp::draw(){
    //Image
    ofSetColor(255);
    foursq[appSection].draw(0,0,ofGetWidth(),ofGetHeight());
    //Buttons
    ofSetColor(255,0,0);
    ofNoFill();
    ofDrawRectangle(btn1);
    ofDrawRectangle(btn2);
    ofDrawRectangle(btn3);
}
//--------------------------------------------------------------
void ofApp::exit(){}
//--------------------------------------------------------------
void ofApp::touchDown(ofTouchEventArgs & touch){
    if(btn1.inside(touch)) appSection=0;
    if(btn2.inside(touch)) appSection=1;
    if(btn3.inside(touch)) appSection=2;
    cout << appSection << endl;
}

//--------------------------------------------------------------
void ofApp::touchMoved(ofTouchEventArgs & touch){

}

//--------------------------------------------------------------
void ofApp::touchUp(ofTouchEventArgs & touch){

}

//--------------------------------------------------------------
void ofApp::touchDoubleTap(ofTouchEventArgs & touch){

}

//--------------------------------------------------------------
void ofApp::touchCancelled(ofTouchEventArgs & touch){
    
}

//--------------------------------------------------------------
void ofApp::lostFocus(){

}

//--------------------------------------------------------------
void ofApp::gotFocus(){

}

//--------------------------------------------------------------
void ofApp::gotMemoryWarning(){

}

//--------------------------------------------------------------
void ofApp::deviceOrientationChanged(int newOrientation){

}

